Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 108575 - CAN-2003-0858 Netlink local DoS: quagga
CAN-2003-0858 Netlink local DoS: quagga
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quagga (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 05:27 EST by Mark J. Cox
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 09:14:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:315 normal SHIPPED_LIVE Low: quagga security update 2003-11-12 00:00:00 EST

  None (edit)
Description Mark J. Cox 2003-10-30 05:27:47 EST
Herbert Xu discovered that a number of netlink applications do not
check the source address of incoming packets, assuming they are coming
from the kernel.  As any local user can send unicast netlink messages
to any process on the system, this can lead to a local denial of
service attack, or other local attacks.

quagga in RHEL3 is affected 

Currently embargoed.
Comment 1 Mark J. Cox 2003-11-12 09:14:05 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-315.html

Note You need to log in before you can comment on or make changes to this bug.